Bug 69851 - Rename virtual put to putVirtual
Summary: Rename virtual put to putVirtual
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mark Hahnenberg
URL:
Keywords:
Depends on:
Blocks: 67690
  Show dependency treegraph
 
Reported: 2011-10-11 10:47 PDT by Mark Hahnenberg
Modified: 2011-10-17 02:09 PDT (History)
6 users (show)

See Also:


Attachments
Patch (110.59 KB, patch)
2011-10-11 11:00 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Fix builds (115.50 KB, patch)
2011-10-12 11:54 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Fix windows (116.14 KB, patch)
2011-10-13 10:33 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Fix gtk (116.20 KB, patch)
2011-10-14 10:24 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Fix gtk (116.19 KB, patch)
2011-10-14 11:09 PDT, Mark Hahnenberg
darin: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hahnenberg 2011-10-11 10:47:31 PDT
Since the compiler cannot tell the difference between virtual put and static put, we need to rename virtual put to putVirtual in preparation for adding static put to the MethodTable in ClassInfo.  See also bug 69810.
Comment 1 Mark Hahnenberg 2011-10-11 11:00:39 PDT
Created attachment 110540 [details]
Patch
Comment 2 Early Warning System Bot 2011-10-11 11:22:50 PDT
Comment on attachment 110540 [details]
Patch

Attachment 110540 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/10029580
Comment 3 Collabora GTK+ EWS bot 2011-10-11 16:19:53 PDT
Comment on attachment 110540 [details]
Patch

Attachment 110540 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/10031581
Comment 4 Gustavo Noronha (kov) 2011-10-11 16:46:55 PDT
Comment on attachment 110540 [details]
Patch

Attachment 110540 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/10029667
Comment 5 Mark Hahnenberg 2011-10-12 11:54:50 PDT
Created attachment 110717 [details]
Fix builds
Comment 6 Collabora GTK+ EWS bot 2011-10-13 00:02:33 PDT
Comment on attachment 110717 [details]
Fix builds

Attachment 110717 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/10060076
Comment 7 Mark Hahnenberg 2011-10-13 10:33:45 PDT
Created attachment 110872 [details]
Fix windows
Comment 8 Collabora GTK+ EWS bot 2011-10-13 19:21:28 PDT
Comment on attachment 110872 [details]
Fix windows

Attachment 110872 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/10056387
Comment 9 Mark Hahnenberg 2011-10-14 10:24:07 PDT
Created attachment 111026 [details]
Fix gtk
Comment 10 Mark Hahnenberg 2011-10-14 11:09:21 PDT
Created attachment 111030 [details]
Fix gtk
Comment 11 WebKit Review Bot 2011-10-14 15:09:26 PDT
Comment on attachment 111030 [details]
Fix gtk

Rejecting attachment 111030 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
ching file Source/WebKit2/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKit2/WebProcess/Plugins/Netscape/JSNPObject.cpp
patching file Source/WebKit2/WebProcess/Plugins/Netscape/JSNPObject.h
Hunk #1 succeeded at 86 with fuzz 2.
patching file Source/WebKit2/WebProcess/Plugins/Netscape/NPJSObject.cpp
patching file Source/autotools/symbols.filter

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--reviewer', u'Darin Adler', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/10060688
Comment 12 Mark Hahnenberg 2011-10-14 17:04:04 PDT
Committed r97532: <http://trac.webkit.org/changeset/97532>
Comment 13 Patrick R. Gansterer 2011-10-17 02:09:49 PDT
Committed interpreter build fix r97593: <http://trac.webkit.org/changeset/97593>